summaryrefslogtreecommitdiffstats
path: root/projectroot/bin
diff options
context:
space:
mode:
authorMarc Kleine-Budde <mkl@pengutronix.de>2015-06-11 12:18:01 +0200
committerMarc Kleine-Budde <mkl@pengutronix.de>2015-06-18 16:22:13 +0200
commit28db1773524eb763569939d4066e32dbf50c69a0 (patch)
tree964e2f4165b48179d7ac39ac8d472788d60f99f0 /projectroot/bin
parent878707bd943a04fc8e3a55a151499359e81ce780 (diff)
downloadptxdist-28db1773524eb763569939d4066e32dbf50c69a0.tar.gz
ptxdist-28db1773524eb763569939d4066e32dbf50c69a0.tar.xz
generic: rename generic -> projectroot
Signed-off-by: Marc Kleine-Budde <mkl@pengutronix.de>
Diffstat (limited to 'projectroot/bin')
-rw-r--r--projectroot/bin/ipkg_log_wrapper19
-rw-r--r--projectroot/bin/rtps3
2 files changed, 22 insertions, 0 deletions
diff --git a/projectroot/bin/ipkg_log_wrapper b/projectroot/bin/ipkg_log_wrapper
new file mode 100644
index 000000000..aac142fca
--- /dev/null
+++ b/projectroot/bin/ipkg_log_wrapper
@@ -0,0 +1,19 @@
+#!/bin/sh
+#
+# ipkg wrapper - log when installing / removing things
+#
+
+[ -e "/etc/ipkg_log_wrapper.cf" ] && . /etc/ipkg_log_wrapper.cf
+
+FULLARGS="$@"
+IDENT="$(date -R)"
+IPKG=${IPKG:=/usr/bin/ipkg-cl}
+LOGDIR=${LOGDIR:=/var/cache/ipkg}
+LOGFILENAME=${LOGFILENAME:=ipkg_activities.log}
+LOGFILE=$LOGDIR/$LOGFILENAME
+
+[ -e "$LOGDIR" ] || mkdir -p $LOGDIR
+echo -n "$IDENT - $FULLARGS" >> $LOGFILE
+$IPKG $FULLARGS
+echo " ($?)" >> $LOGFILE
+
diff --git a/projectroot/bin/rtps b/projectroot/bin/rtps
new file mode 100644
index 000000000..80fcd0944
--- /dev/null
+++ b/projectroot/bin/rtps
@@ -0,0 +1,3 @@
+#!/bin/sh
+
+exec ps -eo pid,tid,class,rtprio,ni,pri,psr,pcpu,stat,wchan:14,comm \ No newline at end of file